Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSinusoidSource Class Reference

`#include <vtkImageSinusoidSource.h>`

Inheritance diagram for vtkImageSinusoidSource:

[legend]
Collaboration diagram for vtkImageSinusoidSource:

[legend]
List of all members.

## Detailed Description

Create an image with sinusoidal pixel values.

Date:
  2002/01/22 15:33:28

Revision:
  1.28

vtkImageSinusoidSource just produces images with pixel values determined by a sinusoid.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (60%)
  - Martin, Ken (31%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageSinusoidSource.cxx)`
  - .`h` (`/Imaging/vtkImageSinusoidSource.h)`

Tests:
  vtkImageSinusoidSource (Tests)

Definition at line 45 of file vtkImageSinusoidSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)
void | SetDirection (float, float, float)
void | SetDirection (float dir[3])
virtual float * | GetDirection ()
virtual void | GetDirection (float &, float &, float &)
virtual void | GetDirection (float[3])
virtual void | SetPeriod (float)
virtual float | GetPeriod ()
virtual void | SetPhase (float)
virtual float | GetPhase ()
virtual void | SetAmplitude (float)
virtual float | GetAmplitude ()
## Static Public Methods
vtkImageSinusoidSource * | New ()
int | IsTypeOf (const char *type)
vtkImageSinusoidSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageSinusoidSource ()
| ~vtkImageSinusoidSource ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
int | WholeExtent [6]
float | Direction [3]
float | Period
float | Phase
float | Amplitude

## Member Typedef Documentation

typedef vtkImageSource vtkImageSinusoidSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 49 of file vtkImageSinusoidSource.h.

## Constructor & Destructor Documentation

vtkImageSinusoidSource::vtkImageSinusoidSource | ( |  | ) | `[protected]`

vtkImageSinusoidSource::~vtkImageSinusoidSource | ( |  | ) | `[inline, protected]`

| Definition at line 86 of file vtkImageSinusoidSource.h.

## Member Function Documentation

vtkImageSinusoidSource* vtkImageSinusoidSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageSinusoidSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageSinusoidSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageSinusoidSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageSinusoidSource* vtkImageSinusoidSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageSinusoidSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

void vtkImageSinusoidSource::SetWholeExtent | ( | int | xMinx,
|  | int | xMax,
|  | int | yMin,
|  | int | yMax,
|  | int | zMin,
|  | int | zMax
| ) |

| Set/Get the extent of the whole output image.

void vtkImageSinusoidSource::SetDirection | ( | float | ,
|  | float | ,
|  | float |
| ) |

| Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.

void vtkImageSinusoidSource::SetDirection | ( | float | dir[3] | ) |

| Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.

virtual float* vtkImageSinusoidSource::GetDirection | ( |  | ) | `[virtual]`

| Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.

virtual void vtkImageSinusoidSource::GetDirection | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.

virtual void vtkImageSinusoidSource::GetDirection | ( | float | [3] | ) | `[virtual]`

| Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.

virtual void vtkImageSinusoidSource::SetPeriod | ( | float |  | ) | `[virtual]`

| Set/Get the period of the sinusoid in pixels.

virtual float vtkImageSinusoidSource::GetPeriod | ( |  | ) | `[virtual]`

| Set/Get the period of the sinusoid in pixels.

virtual void vtkImageSinusoidSource::SetPhase | ( | float |  | ) | `[virtual]`

| Set/Get the phase: 0->2Pi. 0 => Cosine, pi/2 => Sine.

virtual float vtkImageSinusoidSource::GetPhase | ( |  | ) | `[virtual]`

| Set/Get the phase: 0->2Pi. 0 => Cosine, pi/2 => Sine.

virtual void vtkImageSinusoidSource::SetAmplitude | ( | float |  | ) | `[virtual]`

| Set/Get the magnitude of the sinusoid.

virtual float vtkImageSinusoidSource::GetAmplitude | ( |  | ) | `[virtual]`

| Set/Get the magnitude of the sinusoid.

virtual void vtkImageSinusoidSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkImageSinusoidSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

int vtkImageSinusoidSource::WholeExtent[6]`[protected]`

| Definition at line 88 of file vtkImageSinusoidSource.h.

float vtkImageSinusoidSource::Direction[3]`[protected]`

| Definition at line 89 of file vtkImageSinusoidSource.h.

float vtkImageSinusoidSource::Period`[protected]`

| Definition at line 90 of file vtkImageSinusoidSource.h.

float vtkImageSinusoidSource::Phase`[protected]`

| Definition at line 91 of file vtkImageSinusoidSource.h.

float vtkImageSinusoidSource::Amplitude`[protected]`

| Definition at line 92 of file vtkImageSinusoidSource.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageSinusoidSource.h